Linux repositories inspector

python-devel - Include Files and Libraries Mandatory for Building Python Modules

The Python programming language's interpreter can be extended with dynamically loaded extensions and can be embedded in other programs. This package contains the header files and libraries needed to do these types of tasks.

Install python-devel if you want to develop Python extensions. The python package will also need to be installed. You'll probably also want to install the python-docs package, which contains Python documentation.
2.7.15
OpenSUSE iconOpenSUSE Tumbleweed
2.7.14
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 15.1
2.7.13
OpenSUSE iconOpenSUSE Leap 42.3
2.7.5
CentOS iconCentOS 7.6.1810
DistributionVersionSincePackageInstalledPackager
CentOS iconCentOS 7.6.1810 osrpm2.7.5-76.el714.01.2019398 kiB1.05 MiBCentOS BuildSystem
CentOS iconCentOS 7.6.1810 updatesrpm2.7.5-77.el7_609.04.2019398 kiB1.05 MiBCentOS BuildSystem
OpenSUSE iconOpenSUSE Leap 15.0 ossrpm2.7.14-lp150.5.1417.01.20193.53 MiB21.3 MiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm2.7.14-lp150.6.6.114.02.20193.53 MiB21.3 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm2.7.14-lp150.6.3.118.01.20193.53 MiB21.3 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 ossrpm2.7.14-lp151.8.809.04.20193.51 MiB21.3 MiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 ossrpm2.7.13-26.117.01.20193.4 MiB21 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm2.7.13-27.9.121.01.20193.4 MiB21 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm2.7.13-27.6.121.01.20193.4 MiB21 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm2.7.13-27.3.121.01.20193.4 MiB21 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm2.7.13-27.12.110.03.20193.41 MiB21 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Tumbleweed ossrpm2.7.15-5.127.02.20193.54 MiB21.5 MiBhttps://bugs.opensuse.org

Latest updates

CentOS 7.6.1810 icon

CentOS 7.6.1810 updates: Version 2.7.5-77.el7_6 introduced

09.04.2019 22:20
  • Security fix for CVE-2019-9636
Resolves: rhbz#1689316
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 2.7.14-lp151.8.7 to 2.7.14-lp151.8.8

09.04.2019 07:45
  • bsc#1122191: add CVE-2019-5010-null-defer-x509-cert-DOS.patch fixing bpo-35746.
    An exploitable denial-of-service vulnerability exists in the X509 certificate parser of Python.org Python 2.7.11 / 3.7.2. A specially crafted X509 certificate can cause a NULL pointer dereference, resulting in a denial of service. An attacker can initiate or accept TLS connections using crafted certificates to trigger this vulnerability.
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 2.7.14-lp151.8.6 to 2.7.14-lp151.8.7

02.04.2019 13:11
  • bsc#1122191: add CVE-2019-5010-null-defer-x509-cert-DOS.patch fixing bpo-35746.
    An exploitable denial-of-service vulnerability exists in the X509 certificate parser of Python.org Python 2.7.11 / 3.7.2. A specially crafted X509 certificate can cause a NULL pointer dereference, resulting in a denial of service. An attacker can initiate or accept TLS connections using crafted certificates to trigger this vulnerability.
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 2.7.14-lp151.8.5 to 2.7.14-lp151.8.6

30.03.2019 15:05
  • bsc#1122191: add CVE-2019-5010-null-defer-x509-cert-DOS.patch fixing bpo-35746.
    An exploitable denial-of-service vulnerability exists in the X509 certificate parser of Python.org Python 2.7.11 / 3.7.2. A specially crafted X509 certificate can cause a NULL pointer dereference, resulting in a denial of service. An attacker can initiate or accept TLS connections using crafted certificates to trigger this vulnerability.
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Version 2.7.14-lp150.6.6.1 reintroduced

23.03.2019 17:37
  • bsc#1122191: add CVE-2019-5010-null-defer-x509-cert-DOS.patch fixing bpo-35746.
    An exploitable denial-of-service vulnerability exists in the X509 certificate parser of Python.org Python 2.7.11 / 3.7.2. A specially crafted X509 certificate can cause a NULL pointer dereference, resulting in a denial of service. An attacker can initiate or accept TLS connections using crafted certificates to trigger this vulnerability.
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Version 2.7.14-lp150.6.3.1 reintroduced

23.03.2019 17:37
  • Apply "CVE-2018-1000802-shutil_use_subprocess_no_spawn.patch" which converts shutil._call_external_zip to use subprocess rather than distutils.spawn. [bsc#1109663, CVE-2018-1000802]
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Version 2.7.14-lp150.6.6.1 removed

22.03.2019 04:30
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Version 2.7.14-lp150.6.3.1 removed

22.03.2019 04:30
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 2.7.14-lp151.8.3 to 2.7.14-lp151.8.5

20.03.2019 19:49
  • bsc#1122191: add CVE-2019-5010-null-defer-x509-cert-DOS.patch fixing bpo-35746.
    An exploitable denial-of-service vulnerability exists in the X509 certificate parser of Python.org Python 2.7.11 / 3.7.2. A specially crafted X509 certificate can cause a NULL pointer dereference, resulting in a denial of service. An attacker can initiate or accept TLS connections using crafted certificates to trigger this vulnerability.
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 2.7.14-lp151.8.2 to 2.7.14-lp151.8.3

14.03.2019 09:51
  • bsc#1122191: add CVE-2019-5010-null-defer-x509-cert-DOS.patch fixing bpo-35746.
    An exploitable denial-of-service vulnerability exists in the X509 certificate parser of Python.org Python 2.7.11 / 3.7.2. A specially crafted X509 certificate can cause a NULL pointer dereference, resulting in a denial of service. An attacker can initiate or accept TLS connections using crafted certificates to trigger this vulnerability.
OpenSUSE Leap 42.3 icon

OpenSUSE Leap 42.3 update/oss: Updated from 2.7.13-27.9.1 to 2.7.13-27.12.1

10.03.2019 10:12
  • bsc#1109847: add CVE-2018-14647_XML_SetHashSalt-in_elementtree.patch fixing bpo-34623.
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 2.7.15-4.3 to 2.7.15-5.1

27.02.2019 19:12
  • bsc#1122191: add CVE-2019-5010-null-defer-x509-cert-DOS.patch fixing bpo-35746.
    An exploitable denial-of-service vulnerability exists in the X509 certificate parser of Python.org Python 2.7.11 / 3.7.2. A specially crafted X509 certificate can cause a NULL pointer dereference, resulting in a denial of service. An attacker can initiate or accept TLS connections using crafted certificates to trigger this vulnerability.
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 2.7.14-lp151.7.18 to 2.7.14-lp151.8.2

19.02.2019 17:00
  • bsc#1122191: add CVE-2019-5010-null-defer-x509-cert-DOS.patch fixing bpo-35746.
    An exploitable denial-of-service vulnerability exists in the X509 certificate parser of Python.org Python 2.7.11 / 3.7.2. A specially crafted X509 certificate can cause a NULL pointer dereference, resulting in a denial of service. An attacker can initiate or accept TLS connections using crafted certificates to trigger this vulnerability.
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Updated from 2.7.14-lp150.6.3.1 to 2.7.14-lp150.6.6.1

14.02.2019 14:04
  • bsc#1122191: add CVE-2019-5010-null-defer-x509-cert-DOS.patch fixing bpo-35746.
    An exploitable denial-of-service vulnerability exists in the X509 certificate parser of Python.org Python 2.7.11 / 3.7.2. A specially crafted X509 certificate can cause a NULL pointer dereference, resulting in a denial of service. An attacker can initiate or accept TLS connections using crafted certificates to trigger this vulnerability.
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 2.7.14-lp151.7.17 to 2.7.14-lp151.7.18

06.02.2019 08:36
  • Apply "CVE-2018-1000802-shutil_use_subprocess_no_spawn.patch" which converts shutil._call_external_zip to use subprocess rather than distutils.spawn. [bsc#1109663, CVE-2018-1000802]
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 2.7.15-4.1 to 2.7.15-4.3

03.02.2019 10:23
  • Use upstream-recommended %{_rpmconfigdir}/macros.d directory for the rpm macros.
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Version 2.7.15-4.1 reintroduced

23.01.2019 18:32
  • Use upstream-recommended %{_rpmconfigdir}/macros.d directory for the rpm macros.
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Version 2.7.14-lp151.7.17 introduced

23.01.2019 10:09
  • Apply "CVE-2018-1000802-shutil_use_subprocess_no_spawn.patch" which converts shutil._call_external_zip to use subprocess rather than distutils.spawn. [bsc#1109663, CVE-2018-1000802]
OpenSUSE Leap 42.3 icon

OpenSUSE Leap 42.3 update/oss: Updated from 2.7.13-27.6.1 to 2.7.13-27.9.1

21.01.2019 08:14
  • Apply "CVE-2018-1000802-shutil_use_subprocess_no_spawn.patch" which converts shutil._call_external_zip to use subprocess rather than distutils.spawn. [bsc#1109663, CVE-2018-1000802]
OpenSUSE Leap 42.3 icon

OpenSUSE Leap 42.3 update/oss: Updated from 2.7.13-27.3.1 to 2.7.13-27.6.1

21.01.2019 08:14
  • Apply "CVE-2017-18207.patch" to add a check to Lib/wave.py that verifies that at least one channel is provided. Prior to this check, attackers could cause a denial of service (divide-by-zero error and application crash) via a crafted wav format audio file.
    bsc#1083507, CVE-2017-18207

Related packages

python - interactive high-level object-oriented language (default version)
devel - Hydrogen header files
⇧ Top